Confusing error, please help


#1

This is a general support ticket template.
Please fill in as much detail as possible.

Before Posting:

Java 8 is required to run our modpack. Not having it will cause you to crash on launch.
Mac OS, Windows, and Linux users can download the Java 8 installer for their system from here.


how did you install the modpack?: installer
have you installed Java 8?: yes
when does the problem happen?: during launch
logs/crash-report: The game is running. Please wait.
OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=330M; support was removed in 8.0
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Using primary tweak class name net.minecraftforge.fml.common.launcher.FMLTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLTweaker
[21:10:02] [main/INFO] [FML]: Forge Mod Loader version 11.15.1.1890 for Minecraft 1.8.9 loading
[21:10:02] [main/INFO] [FML]: Java is OpenJDK 64-Bit Server VM, version 1.8.0_111, running on Linux:amd64:4.8.14-200.fc24.x86_64, installed at /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.111-4.b16.fc24.x86_64/jre
[21:10:02] [main/INFO] [FML]: Loading tweaker me.ardacraft.updater.launch.UpdaterTweaker from ACResourceUpdater-1.0-SNAPSHOT.jar
[21:10:02] [main/WARN] [FML]: The coremod mods.betterfoliage.loader.BetterFoliageLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:10:02] [main/WARN] [FML]: The coremod lumien.chunkanimator.asm.LoadingPlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[21:10:02] [main/INFO] [FML]: Loading tweaker me.dags.daflight.launch.DaFlightLoaderTweaker from DaFlight-3.1r4-mc1.8.9.jar
[21:10:02] [main/INFO] [FML]: Loading tweaker com.mumfrey.liteloader.launch.LiteLoaderTweaker from liteloader-1.8.9-SNAPSHOT.jar
[21:10:02] [main/INFO] [FML]: Loading tweaker me.dags.noclip.launch.NoClipLoaderTweaker from NoClip-1.0r2-mc1.8.9.jar
[21:10:02] [main/INFO] [FML]: Loading tweaker optifine.OptiFineForgeTweaker from OptiFine_1.8.9_HD_U_H6.jar
[21:10:02] [main/INFO] [FML]: Loading tweaker me.dags.optifix.launch.OptiFixTweaker from OptiFix-1.0r1-mc1.8.9.jar
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name me.ardacraft.updater.launch.UpdaterTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name me.dags.daflight.launch.DaFlightLoaderTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name com.mumfrey.liteloader.launch.LiteLoaderTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name me.dags.noclip.launch.NoClipLoaderTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name optifine.OptiFineForgeTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name me.dags.optifix.launch.OptiFixTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLDeobfTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLInjectionAndSortingTweaker
[21:10:02] [main/INFO] [LaunchWrapper]: Calling tweak class optifine.OptiFineForgeTweaker
[21:10:02] [main/INFO] [STDOUT]: [optifine.OptiFineForgeTweaker:dbg:56]: OptiFineForgeTweaker: acceptOptions
[21:10:02] [main/INFO] [STDOUT]: [optifine.OptiFineForgeTweaker:dbg:56]: OptiFineForgeTweaker: injectIntoClassLoader
[21:10:02] [main/INFO] [STDOUT]: [optifine.OptiFineClassTransformer:dbg:266]: OptiFine ClassTransformer
[21:10:02] [main/INFO] [STDOUT]: [optifine.OptiFineClassTransformer:dbg:266]: OptiFine URL: file:/home3/home/Samuel/ArdaCraft%20Launcher/instances/ArdaCraft%20Modpack/minecraft/mods/OptiFine_1.8.9_HD_U_H6.jar
[21:10:02] [main/INFO] [STDOUT]: [optifine.OptiFineClassTransformer:dbg:266]: OptiFine ZIP file: /home3/home/Samuel/ArdaCraft Launcher/instances/ArdaCraft Modpack/minecraft/mods/OptiFine_1.8.9_HD_U_H6.jar
[21:10:02] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[21:10:04] [main/INFO] [FML]: Found valid fingerprint for Minecraft Forge. Certificate fingerprint e3c3d50c7c986df74c645c0ac54639741c90a557
[21:10:04] [main/INFO] [FML]: Found valid fingerprint for Minecraft. Certificate fingerprint cd99959656f753dc28d863b46769f7f8fbaefcfc
[21:10:04] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[21:10:04] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.relauncher.CoreModManager$FMLPluginWrapper
[21:10:04] [main/INFO] [LaunchWrapper]: Calling tweak class me.ardacraft.updater.launch.UpdaterTweaker
Exception in thread “main” [21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: java.lang.NoClassDefFoundError: javafx/scene/Parent
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: at me.ardacraft.updater.launch.UpdaterTweaker.acceptOptions(UpdaterTweaker.java:30)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: at net.minecraft.launchwrapper.Launch.launch(Launch.java:114)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1052]: at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1061]: Caused by: java.lang.ClassNotFoundException: javafx.scene.Parent
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1061]: at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1061]: at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1061]: at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1061]: at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
[21:10:04] [main/INFO] [STDERR]: [java.lang.ThreadGroup:uncaughtException:1061]: … 3 more
Process ended with code: 1
problem:
no idea what most of this means but none of the packs ( legacy, mod or dev ) are loading

i just restarted my machine after unplugining it when i went on holiday

please help


#2

Don’t get many linux users.

Your version of OpenJDK doesn’t look like it includes JavaFX, so the game can’t load.
According to this thread on stackoverflow, you should be able to install ‘openjfx’ separately, which (I think) should get you running.

Otherwise you could probably just install the standard Java JDK from oracle.


#3

ive installed it but the game is not realising it exists, do you know how i could point it in the right direction or have i got it in the wrong location?


#4

Not sure sorry.

You could try delete the ‘ResourceUpdater’ mod from your mods folder, and install the resourcepack/blockpacks manually.

The modpack is installed in minecraft/profiles/ArdaCraft-1.8.9-XXX/ (I’ll refer to this as just modpackdir).

  1. delete the ResourceUpdater mod from modpackdir/mods/1.8.9/
  2. download and move the blockpacks to modpackdir/blockpacks/
  3. download and move the resourcepack to modpackdir/resourcepacks/

You should be good after that.

Resourcepack:

Blockpacks: